Set the state for a profile's role
Updates the lifecycle state of a specific role. Use this to advance a candidate through the admissions pipeline — for example, from applicant::submitted to applicant::admitted. Provide the target state and substate in the request body.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
- Type: stringrole
_id requiredUnique identifier of the role.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for patch/apis/profiles/profiles/{profile_id}/roles/{role_id}
curl https://school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/roles/507f1f77bcf86cd799439011 \
--request PATCH \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385bdd4976a7719120108ed",
"withdrawn": false,
"withdrew_at": null,
"withdrawn_reasons": [],
"withdrawn_detail": null,
"state": "applicant",
"substate": "submitted",
"potential": "high",
"context_id": "6385bb46976a771912003e6a",
"context_type": "Institutions::ClassOf",
"campus_id": null,
"owner_id": null
}